summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Azure Zanculmarktum <zanculmarktum@gmail.com>2017-05-11 22:37:33 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-13 06:59:33 +0700
commit7c595d1a83d190a47146b5f14481a308ade71633 (patch)
treedf1cf309ee36647efbdf3e0176b6e75eb5c21cb7
parent1d14fc3cfad5733683da4c12fffeaa76f493c664 (diff)
downloadslackbuilds-7c595d1a83d190a47146b5f14481a308ade71633.tar.gz
slackbuilds-7c595d1a83d190a47146b5f14481a308ade71633.tar.xz
libraries/vte3-ng: Added (enhanced vte terminal widget).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/vte3-ng/README9
-rw-r--r--libraries/vte3-ng/slack-desc19
-rw-r--r--libraries/vte3-ng/vte3-ng.SlackBuild109
-rw-r--r--libraries/vte3-ng/vte3-ng.info10
4 files changed, 147 insertions, 0 deletions
diff --git a/libraries/vte3-ng/README b/libraries/vte3-ng/README
new file mode 100644
index 0000000000..18663adfbe
--- /dev/null
+++ b/libraries/vte3-ng/README
@@ -0,0 +1,9 @@
+VTE is a library (libvte) implementing a terminal emulator widget for
+GTK+, and a minimal sample application (vte) using that. Vte is mainly
+used in gnome-terminal, but can also be used to embed a console/terminal
+in games, editors, IDEs, etc.
+
+This package will conflicts with vte3, so be sure to remove it first
+before installing this package.
+
+ # /sbin/removepkg vte3
diff --git a/libraries/vte3-ng/slack-desc b/libraries/vte3-ng/slack-desc
new file mode 100644
index 0000000000..54bcb7a372
--- /dev/null
+++ b/libraries/vte3-ng/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vte3-ng: vte3-ng (enhanced vte terminal widget)
+vte3-ng:
+vte3-ng: VTE is a library (libvte) implementing a terminal emulator widget for
+vte3-ng: GTK+, and a minimal sample application (vte) using that. Vte is
+vte3-ng: mainly used in gnome-terminal, but can also be used to embed a
+vte3-ng: console/terminal in games, editors, IDEs, etc.
+vte3-ng:
+vte3-ng:
+vte3-ng:
+vte3-ng:
+vte3-ng:
diff --git a/libraries/vte3-ng/vte3-ng.SlackBuild b/libraries/vte3-ng/vte3-ng.SlackBuild
new file mode 100644
index 0000000000..5eb55fafbd
--- /dev/null
+++ b/libraries/vte3-ng/vte3-ng.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for vte3-ng
+
+# Copyright 2017 Azure Zanculmarktum <zanculmarktum@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vte3-ng
+VERSION=${VERSION:-0.48.2.a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(sed 's/3//' <<< $PRGNAM)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+( cd /var/log/packages
+ for f in vte3*; do
+ if grep '^vte3-[^-]*-[^-]*-[^-]*$' <<< "$f" > /dev/null 2>&1; then
+ echo "vte3 package exists. Remove it first before continuing."
+ echo " # /sbin/removepkg vte3"
+ exit 1
+ fi
+ done
+)
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING HACKING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/vte3-ng/vte3-ng.info b/libraries/vte3-ng/vte3-ng.info
new file mode 100644
index 0000000000..d0cc341a00
--- /dev/null
+++ b/libraries/vte3-ng/vte3-ng.info
@@ -0,0 +1,10 @@
+PRGNAM="vte3-ng"
+VERSION="0.48.2.a"
+HOMEPAGE="https://github.com/thestinger/vte-ng"
+DOWNLOAD="https://github.com/thestinger/vte-ng/archive/0.48.2.a/vte-ng-0.48.2.a.tar.gz"
+MD5SUM="def6df6743d85cbdcb8ef5445772a48d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pcre2 vala"
+MAINTAINER="Azure Zanculmarktum"
+EMAIL="zanculmarktum@gmail.com"